Bug 25893 - Update to webkit2-2.26 makes some messages unreadable in Evolution when using a dark theme
Summary: Update to webkit2-2.26 makes some messages unreadable in Evolution when using...
Status: ASSIGNED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 7
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-18 20:20 CET by aguador
Modified: 2020-01-03 19:04 CET (History)
3 users (show)

See Also:
Source RPM: evolution-3.32.2-1.mga7.src.rpm
CVE:
Status comment:


Attachments

Description aguador 2019-12-18 20:20:29 CET
There was a change in this version of webkit2 (updated a month abo) that affected most HTML messages in Evolution prior to version 3.34.1 when using a dark theme. The upstream bug is discussed here:

https://gitlab.gnome.org/GNOME/evolution/issues/617

To reproduce:

1. Set a dark theme (Adwaita-Dark, Vertex Dark, Breeze Dark)
2. Open an HTML message with the Evolution 3.32.2 (the version in Mageia 7) most (there are a few exceptions for some reason) even ones you have composed, sent and later reopened will have white text on a white background.

The obvious work around is, on a message-by-message basis, highlighting the message text (except composing is frequently affected as well) or using a light theme. Reverting to the prior version of webgtk2 may work assuming there are no other updated packaged that now depend on the later version of Webkit2.

I leave it to the respective package maintainers to see if the problem should be handled at with the webkitgtk2 package or Evo. On a personal note, I would love to see the current version of Evo backported, but given integration with Gnome, that may not be possible, at least not without considerable testing. I will also add that Evo was acting oddly in Mga7 laptop today, but that may have come from an unrelated issue.
Comment 1 Lewis Smith 2019-12-18 21:50:11 CET
Thank you for bringing this to our attention; and the evolution bug reference.

> Reverting to the prior version of webgtk2 may work
Worth trying downgrading it.

EVOLUTION
From the bug report referenced:
"I can confirm this with WebKitGTK+ 2.26.0. Looking in its inspector I see the iframe has set background-color and color styles, but these do not propagate into the inner content, though the main difference with the new WebKitGTK+ might be that they define color:text for <html>, which wasn't the case in the past. These do not seem to be possible to override on the iframe element, at least according to what I see in the webkit's inspector.
I guess they did it on purpose, thus Evolution should adapt."

It also notes:
"setting explicit color:inherit style on the inner document works."
If that means anything to you, it is a fix apparently.

> I would love to see the current version of Evo backported, but given
> integration with Gnome, that may not be possible, at least not without
> considerable testing.
Our current: evolution-3.32.2-1
The latest stable releases are the 3.34 series. 
But do we know whether that would fix this problem?
@aguador : would you be willing to test it if it can be updated?

Webkit2 has no formal or implicit maintainer; evolution no registered one, but Olav has done most recent commits. Assigning globally, CC Olav.

Assignee: bugsquad => pkg-bugs
Source RPM: webkit2-2.26.2-1.1.mga7.src.rpm => webkit2-2.26.2-1.1.mga7.src.rpm, evolution-3.32.2-1.mga7.src.rpm
CC: (none) => olav

Comment 2 aguador 2019-12-18 22:17:15 CET
Of course, I will gladly test the possible backport.

I have a Cauldron machine and use Evo 3.34.2 everyday with a dark theme with no problem.
Comment 3 Vincent D 2019-12-30 00:38:19 CET
Hi !

I tried the following patch concerning this issue:
https://gitlab.gnome.org/GNOME/evolution/commit/6109c41468d61e343f4954785a58002b132df83f

Evolution seems to be working as before but without this annoying bug.


Maybe a nice maintainer could add this patch and only plan a bugfix update.


Cheers,
Vincent.

CC: (none) => vincent.dema+mageia

Comment 4 Nicolas Salguero 2019-12-30 21:32:59 CET
Suggested advisory:
========================

The updated packages fix an issue:

webkit2-2.26 makes some messages unreadable in Evolution when using a dark theme.

References:
https://gitlab.gnome.org/GNOME/evolution/issues/617
https://gitlab.gnome.org/GNOME/evolution/commit/6109c41468d61e343f4954785a58002b132df83f
========================

Updated packages in core/updates_testing:
========================
evolution-3.32.2-1.1.mga7
evolution-devel-3.32.2-1.1.mga7

from SRPMS:
evolution-3.32.2-1.1.mga7.src.rpm

Status: NEW => ASSIGNED
Source RPM: webkit2-2.26.2-1.1.mga7.src.rpm, evolution-3.32.2-1.mga7.src.rpm => evolution-3.32.2-1.mga7.src.rpm
CC: (none) => nicolas.salguero
Assignee: pkg-bugs => qa-bugs

Comment 5 aguador 2020-01-01 23:01:48 CET
Thank you for patching this, but for some reason the patch seems not to have taken. After installing evolution-3.32.2-1.1.mga7.x86_64.rpm the same problem appears: faintly visible grey on white. Tested before and after reboot and with three different dark themes known to work perfectly with Evolution 3.34 in Cauldron (including Adwaita Dark).
Comment 6 aguador 2020-01-03 19:04:22 CET
I have left the patched version of Evo in place and it is causing some strange behaviours. My default compose windows are plain text. If I try composing a second message while another I am writing is still open, the second compose window shows as plain text, but has white text on a white background. Will now downgrade to the unpatched version.

Note You need to log in before you can comment on or make changes to this bug.